Module java.desktop
Package javax.sound.midi

## Interface MidiDeviceReceiver

All Superinterfaces:
  `AutoCloseable`, `Receiver`

    public interface MidiDeviceReceiver
    extends Receiver

`MidiDeviceReceiver` is a `Receiver` which represents a MIDI input connector of a `MidiDevice` (see `MidiDevice.getReceiver()`).

Since:
  1.7

### Method Summary

All Methods Instance Methods Abstract Methods
`MidiDevice` `getMidiDevice()` Obtains a `MidiDevice` object which is an owner of this `Receiver`.

### Methods declared in interface javax.sound.midi.Receiver

`close, send`

### Method Detail

#### getMidiDevice

    MidiDevice getMidiDevice()

Obtains a `MidiDevice` object which is an owner of this `Receiver`.

Returns:
  a `MidiDevice` object which is an owner of this `Receiver`